Skip to main content
POST
/
api
/
v1
/
settings
Ayar oluştur
curl --request POST \
  --url https://transfer-sandbox.payven.com.tr/api/v1/settings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "key": "<string>",
  "value": "<string>",
  "extra_properties_dict": {},
  "description": "<string>",
  "scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "category": "<string>",
  "is_encrypted": true,
  "is_read_only": true,
  "default_value": "<string>",
  "validation_regex": "<string>",
  "possible_values": "<string>"
}
'
{
  "message": "<string>",
  "is_success": true,
  "code": "<string>",
  "data": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Body

application/json
key
string | null
required
value
string | null
required
extra_properties_dict
object
description
string | null
scope
enum<string>
Available options:
Global,
Tenant,
User
scope_id
string<uuid> | null
category
string | null
is_encrypted
boolean
is_read_only
boolean
default_value
string | null
validation_regex
string | null
possible_values
string | null

Response

OK

message
string | null
is_success
boolean
code
string | null
data
string<uuid>